/* SYSMON Installation Program */

call  RxFuncAdd "SysLoadFuncs","RexxUtil","SysLoadFuncs"
call SysLoadFuncs

Signal On Halt Name HALT

call SysCls

Say " "
Say "SysMon installation program ..."
Say " "
Say "DON'T PANIC :"
Say "       This script doesn't write in any ini-file, but the"
Say "       private SYSMON.INI :-)"
Say "       Also you DON'T have to change your CONFIG.SYS "
Say "       ( and I also will not touch it :-)"
Say " "

/* Is everything at its place */

Say "I'm checking if all files are present ..."
Say " "

Result=SysFileTree("MUSIC.DLL", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : MUSIC.DLL "
	        Say "This file is needed for soundsupport."
	        Say "If you don't want sound just continue "
	        Say "Continue ? ( Default = Y )"
	        Pull YesNo
	        If YesNo = "N" Then Signal DONE
        End

Result=SysFileTree("SYSMON.EXE", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : SYSMON.EXE - make sure you unpacked all files ..."
                Signal DONE
        End

Result=SysFileTree("REGISTER.WAV", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : REGISTER.WAV - make sure you unpacked all files ..."
                Signal DONE
        End
Result=SysFileTree("README.1ST", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : README.1ST - make sure you unpacked all files ..."
                Say "This file is very important - it tells you how to register :-)"
                Signal DONE
        End
Result=SysFileTree("ORDER.FRM", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : ORDER.FRM - make sure you unpacked all files ..."
                Say "This file is very important - it tells you how to register :-)"
                Signal DONE
        End
Result=SysFileTree("EMX.DLL", 'Files','F')
If Files.0=0 Then
        Do
                Say "Can't find FILE : EMX.DLL "
                Say "I hope you have this file in your LIBPATH, else the program won't run"
                Say "If you can't start SysMon : "
                Say "   unpack EMX.DLL into your LIBPATH or SysMons working-directory"
                Say " "
                Say "Continuing with installation "
        End
Say "All neccessary files found ...Ok"

Say " "
Say "Do you want me to copy the files to another directory "
Say "       This directory DOESN'T need to be specified in any of your paths"
Say "Your answer (Y/N) ? ( Default = N )"
Pull YesNo
If YesNo="Y" Then
Do
        Say " "
        Say "Please enter the full path of the desired directory ..."
        Pull Directory
        Result=SysFileTree(Directory,'Dirs','D')
        if Dirs.0=0 Then
        Do
                If SysMkDir(Directory) then
                Do
                        Say "ERROR : Can't CREATE your desired directory"
                        Signal DONE
                End
                /* Copying Files*/

	        Copy "SYSMON.EXE" Directory   '1>NUL'
                Copy "REGISTER.WAV" Directory   '1>NUL'
                Copy "README.1ST" Directory   '1>NUL'
                Copy "ORDER.FRM" Directory   '1>NUL'
                Copy "MUSIC.DLL" Directory   '1>NUL'
                Copy "WHATS.NEW" Directory   '1>NUL'
                Copy "EMX.DLL" Directory   '1>NUL'
        End
End
Else
Do
        Directory=Directory()
End

Say " "
Say "Do you want me to create a program object ..."
Say "Your answer (Y/N) ? ( Default = Y )"
Pull YesNo
If YesNo="N" Then   Signal Done 
Else
        Do
                Say " "
                Say "Do You want the icon be placed in the STARTUP-folder ?(Default = Y)"
                Say " "
	        Pull YesNo
	        if YesNo="N" Then  
		Do    		    
		    Folder="<WP_DESKTOP>" 
		    Say " "
		    Say "     You still can move this icon into the STARTUP-Folder later !"
		End
                Else Folder="<WP_START>" 
                Type="WPProgram"
                Title="SysMon"
	        Say " "
	        Say "Do you want to disable sound (don't have MMOS2 or just don't like it) ?"
	        Say "Your answer (Y/N) ? ( Default = N )"
	        Pull YesNo 
	        If YesNo = "Y" Then 
		Do    
		    Params="EXENAME="Directory"\SYSMON.EXE;PARAMETERS=-QUIET;STARTUPDIR="Directory";"
		End
	        Else Params="EXENAME="Directory"\SYSMON.EXE;STARTUPDIR="Directory";"
                If SysCreateObject(Type,Title,Folder,Params,"ReplaceIfExists") Then
                Do
		        Say " "
                        Say "SysMon Program object created successfully !"
                        if Folder="<WP_DESKTOP>" Then Say "Don't forget to copy it into your STARTUP-FOLDER if you like it !"
                End
                Else
                Do
                        Say "Could't create SYSMON Program object :-( "
                        Signal DONE
                End

        End
Say " "
Say " HAVE FUN WITH SYSMON "
Say " "
Say "Ps.: Sorry for having been forgotten in version 0.9 :-)"
Say " "

HALT:
Say 'Installation terminated !'
Signal DONE


DONE:
Exit
